Package org.freeplane.api

# Enum Class ChildrenSides

java.lang.Object
java.lang.Enum<ChildrenSides>
org.freeplane.api.ChildrenSides

All Implemented Interfaces:
  `Serializable`, `Comparable<ChildrenSides>`, `Constable`

public enum ChildrenSides extends Enum<ChildrenSides>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  `BOTH_SIDES`
  `BOTTOM_OR_RIGHT`
  `DIAGONAL_ASCENDING`
  `DIAGONAL_DESCENDING`
  `NOT_SET`
  `TOP_OR_LEFT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `labelKey(LayoutOrientation layoutOrientation)`
  `boolean`
  `matches(boolean topOrLeft)`
  `static ChildrenSides`
  `ofTopOrLeft(boolean isTopOrLeft)`
  `static ChildrenSides`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChildrenSides[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_SET

    public static final ChildrenSides NOT_SET

  - ### AUTO

    public static final ChildrenSides AUTO

  - ### TOP_OR_LEFT

    public static final ChildrenSides TOP_OR_LEFT

  - ### BOTTOM_OR_RIGHT

    public static final ChildrenSides BOTTOM_OR_RIGHT

  - ### BOTH_SIDES

    public static final ChildrenSides BOTH_SIDES

  - ### DIAGONAL_ASCENDING

    public static final ChildrenSides DIAGONAL_ASCENDING

  - ### DIAGONAL_DESCENDING

    public static final ChildrenSides DIAGONAL_DESCENDING

- ## Method Details

  - ### values

    public static ChildrenSides[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChildrenSides valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### ofTopOrLeft

    public static ChildrenSides ofTopOrLeft(boolean isTopOrLeft)

  - ### matches

    public boolean matches(boolean topOrLeft)

  - ### labelKey

    public String labelKey(LayoutOrientation layoutOrientation)